| Home | Libraries | People | FAQ | More

## Struct duration_traits_long

boost::date_time::duration_traits_long

## Synopsis

    // In header: <boost/date_time/date_duration.hpp>

    struct duration_traits_long {
      // types
      typedef long int_type;
      typedef long impl_type;

      // public static functions
      static int_type as_number(impl_type);
    };

## Description

Struct for instantiating date_duration with NO special values functionality. Allows for transparent implementation of either date_duration<long> or date_duration<int_adapter<long> >

### `duration_traits_long` public static functions

1.     static int_type as_number(impl_type i);